DK API 文档

youtube 02

15 个接口

GETget video captions

GET https://dkai.store/api/v1/youtube/web_v2/get_video_captions

7 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_video_captions'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget video captions result

GET https://dkai.store/api/v1/youtube/web_v2/get_video_captions_result

1 积分 / 成功调用

参数位置要求说明
job_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_video_captions_result?job_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget video comment replies

GET https://dkai.store/api/v1/youtube/web_v2/get_video_comment_replies

1 积分 / 成功调用

参数位置要求说明
continuation_tokenquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_video_comment_replies?continuation_token=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget video comments

GET https://dkai.store/api/v1/youtube/web_v2/get_video_comments

1 积分 / 成功调用

参数位置要求说明
video_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_video_comments?video_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget video info

GET https://dkai.store/api/v1/youtube/web_v2/get_video_info

1 积分 / 成功调用

参数位置要求说明
video_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_video_info?video_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget video info v2

GET https://dkai.store/api/v1/youtube/web_v2/get_video_info_v2

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_video_info_v2'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget video streams

GET https://dkai.store/api/v1/youtube/web_v2/get_video_streams

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_video_streams'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget video streams v2

GET https://dkai.store/api/v1/youtube/web_v2/get_video_streams_v2

4 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/get_video_streams_v2'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTget video streams v3

POST https://dkai.store/api/v1/youtube/web_v2/get_video_streams_v3

3 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch channels

GET https://dkai.store/api/v1/youtube/web_v2/search_channels

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web_v2/search_channels'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget channel id

GET https://dkai.store/api/v1/youtube/web/get_channel_id

1 积分 / 成功调用

参数位置要求说明
channel_namequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web/get_channel_id?channel_name=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget channel id v2

GET https://dkai.store/api/v1/youtube/web/get_channel_id_v2

1 积分 / 成功调用

参数位置要求说明
channel_urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web/get_channel_id_v2?channel_url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget channel info

GET https://dkai.store/api/v1/youtube/web/get_channel_info

1 积分 / 成功调用

参数位置要求说明
channel_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web/get_channel_info?channel_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget channel short videos

GET https://dkai.store/api/v1/youtube/web/get_channel_short_videos

1 积分 / 成功调用

参数位置要求说明
channel_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web/get_channel_short_videos?channel_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget channel url

GET https://dkai.store/api/v1/youtube/web/get_channel_url

1 积分 / 成功调用

参数位置要求说明
channel_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/youtube/web/get_channel_url?channel_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。